package com.zbf.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 调拨单
 * 对象 transfer_order
 *
 * @author tony
 * @date 2024-11-03
 */
@Data
@TableName(resultMap = "com.zbf.system.mapper.TransferOrderMapper.TransferOrderResult")
public class TransferOrder extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 创建人
     */
    @Excel(name = "创建人 ")
    private String creator;

    /**
     * $column.columnComment
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creationTime;

    /**
     * 调拨内容
     */
    @Excel(name = "调拨内容")
    private String transferContent;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String transferStatus;

    private String orderId;

    private String rkId;

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreator() {
        return creator;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setTransferContent(String transferContent) {
        this.transferContent = transferContent;
    }

    public String getTransferContent() {
        return transferContent;
    }

    public void setTransferStatus(String transferStatus) {
        this.transferStatus = transferStatus;
    }

    public String getTransferStatus() {
        return transferStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("creator", getCreator())
                .append("id", getId())
                .append("creationTime", getCreationTime())
                .append("transferContent", getTransferContent())
                .append("transferStatus", getTransferStatus())
                .toString();
    }
}


















